Bug 733294 - [usb.ids] ausent under /usr/share/
Summary: [usb.ids] ausent under /usr/share/
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: usbutils
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 11:48 UTC by xset1980
Modified: 2011-10-03 23:59 UTC (History)
1 user (show)

Fixed In Version: usbutils-003-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 23:59:06 UTC


Attachments (Terms of Use)

Description xset1980 2011-08-25 11:48:57 UTC
Description of problem:

usb.ids is used for lsusb.py.
The command call to usb.ids located in /usr/share/ but the file are located *only* in /usr/share/hwdata/.
So if execute command lsusb.py the result is:

lsusb.py 
 WARNING: Failure to read usb.ids
(<type 'exceptions.IOError'>, IOError(2, 'No such file or directory'), <traceback object at 0xb76eea04>)
usb1            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1d.7) hub
 1-6            17ef:1000 09  2.00 480MBit/s   2mA 1IFs () hub
usb2            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.0) hub
usb3            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.1) hub
usb4            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.2) hub
usb5            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.3) hub

But if i copy usb.ids to /usr/share/ (where lsusb.py search the ids file) the output is correct:

lsusb.py
usb1            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1d.7) hub
 1-6            17ef:1000 09  2.00 480MBit/s   2mA 1IFs (Lenovo) hub
usb2            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.0) hub
usb3            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.1) hub
usb4            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.2) hub
usb5            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.3) hub



Version-Release number of selected component (if applicable):

# lsusb.py
# Displays your USB devices in reasonable form.
# (c) Kurt Garloff <garloff@suse.de>, 2/2009, GPL v2 or v3.



How reproducible:

lsusb.py in terminal

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Error to identificate ID of usb using lsusb.py command

Expected results:

Correct ID using lsusb.py command


Additional info:

lsusb.py is not equal to lsusb, is more simple for see in terminal the power comsuption (ampere) for each usb connector.
I suggest that you create within an update, any package that just copy the file usb.ids to /usr/share/ or modify the lsusb.py which states the location of usb.ids:
usbids = "/usr/share/usb.ids" (/usr/bin/lsusb.py) change the correct:
usbids = "/usr/share/hwdata/usb.ids"

Thanks and regards

Comment 1 Fedora Admin XMLRPC Client 2011-09-12 13:40:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Lukáš Nykrýn 2011-09-20 09:12:01 UTC
fixed commited to git ->
http://lists.fedoraproject.org/pipermail/scm-commits/2011-September/662096.html ->
modified

Comment 3 Fedora Update System 2011-09-20 09:31:30 UTC
usbutils-003-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/usbutils-003-4.fc15

Comment 4 Fedora Update System 2011-09-20 23:56:44 UTC
Package usbutils-003-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usbutils-003-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/usbutils-003-4.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-03 23:59:01 UTC
usbutils-003-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.